# $Revision: 1.19 $, $Date: 2011/11/17 19:53:01 $
#
%define		module	Soya
Summary:	A practical high-level object-oriented 3D engine for Python
Summary(pl.UTF-8):	Praktyczny, wysokopoziomowy, zorientowany obiektowo silnik 3D dla Pythona
Name:		python-%{module}
Version:	0.14
Release:	4
License:	GPL v2+
Group:		Development/Languages/Python
Source0:	http://download.gna.org/soya/%{module}-%{version}.tar.bz2
# Source0-md5:	9fa56b14d3e9d5fcee073de650b3206f
Source1:	http://download.gna.org/soya/SoyaTutorial-%{version}.tar.bz2
# Source1-md5:	241d4e56e21cf70487323b3b25f9c37c
URL:		http://home.gna.org/oomadness/en/soya3d/
BuildRequires:	OpenAL-devel
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	cal3d-devel >= 0.10.0
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	glew-devel
BuildRequires:	ncurses-devel
BuildRequires:	ode-devel >= 0.7
BuildRequires:	python-Pyrex
BuildRequires:	python-devel >= 2.4
BuildRequires:	python-modules >= 0.9.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python
Requires:	python-EditObj2
Requires:	python-PIL
Obsoletes:	Soya
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Soya 3D is a high level 3D engine for Python; it aims at being to 3D
what Python is to programming: easy and powerful. It is designed with
games in mind, focusing both on performance and ease-of-use. It relies
on OpenGL, SDL and Cal3D.

%description -l pl.UTF-8
Soya 3D jest wysokopoziomowym silnikiem 3D dla Pythona, zachowującym
najlepsze cechy programowania w Pythonie: łatwość i ogromny
potencjał. Został zaprojektowany z myślą o grach, skupiając się
na wydajności oraz łatwości w użyciu. Opiera się na OpenGL, SDL i
Cal3D.

%package tutorial
Summary:	Tutorial for Soya
Summary(pl.UTF-8):	Tutorial dla Soya
Group:		Development/Languages/Python
URL:		http://home.gna.org/oomadness/en/soya3d/tutorials/index.html
Requires:	%{name} = %{version}-%{release}
Obsoletes:	Soya-tutorial

%description tutorial
Package contains a set of tutorial for Soya.

%description tutorial -l pl.UTF-8
Pakiet zawiera kompletny przewodnik dla Soya.

%prep
%setup -q -n %{module}-%{version} -a1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

install manpage/man1/* $RPM_BUILD_ROOT%{_mandir}/man1

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README*
%attr(755,root,root) %{_bindir}/soya_editor
%dir %{py_sitedir}/soya
%attr(755,root,root) %{py_sitedir}/soya/*.so
%{py_sitedir}/soya/*.py[co]
%{py_sitedir}/soya/data
%dir %{py_sitedir}/soya/blendercal
%{py_sitedir}/soya/blendercal/*.py[co]
%dir %{py_sitedir}/soya/editor
%{py_sitedir}/soya/editor/*.py[co]
%dir %{py_sitedir}/soya/gui
%{py_sitedir}/soya/gui/*.py[co]
%dir %{py_sitedir}/soya/pudding
%{py_sitedir}/soya/pudding/*.py[co]
%dir %{py_sitedir}/soya/pudding/ext
%{py_sitedir}/soya/pudding/ext/*.py[co]
%dir %{py_sitedir}/soya/pudding/styles
%{py_sitedir}/soya/pudding/styles/*.py[co]
%dir %{py_sitedir}/soya/tofu
%{py_sitedir}/soya/tofu/*.py[co]
%{py_sitedir}/*.egg-info
%{_mandir}/man1/soya_editor.*

%files tutorial
%defattr(644,root,root,755)
%doc SoyaTutorial-%{version}/{AUTHORS,README,tutorial}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Soya.spec,v $
Revision 1.19  2011/11/17 19:53:01  arekm
- release 4

Revision 1.18  2011/08/31 09:14:19  arekm
- release 3

Revision 1.17  2010/07/08 08:40:02  arekm
- release 2

Revision 1.16  2010/01/01 22:33:06  sparky
- BR capitalization

Revision 1.15  2009/11/28 17:34:31  jajcus
- all files packaged
- Release: 1

Revision 1.14  2009/02/02 12:49:17  lisu
- BR: rpmbuild(macros) >= 1.219 (for %%py_postclean)
- adapter

Revision 1.13  2009/02/02 12:43:07  lisu
- use %%py_postclean

Revision 1.12  2008/11/28 16:01:17  lisu
- R: python-EditObj -> R: python-EditObj2

Revision 1.11  2008/11/25 10:37:37  lisu
- update to 0.14 version
- more verbose files
- TODO

Revision 1.10.2.1  2008/01/21 21:02:34  lisu
- 0.14rc1 version
- BR: rpm-pythonprov
- use python macro
- use vars in tutorial URL too

Revision 1.10  2007-07-15 20:36:47  lisu
- 0.13.2
- BRs updated
- Require python-tkinter no needed (it install as dependence of python-EditObj)

Revision 1.9  2007/07/05 21:41:48  lisu
- direct URLs

Revision 1.8  2007/06/24 10:57:36  lisu
- BRs versions updates
- rel 0.2

Revision 1.7  2007/06/23 13:46:34  lisu
- 0.13.1
- tutorial updated
- R: python-Imaging -> R: python-PIL
- add some BRs
- nfy

Revision 1.6  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.4  2005/03/31 08:19:46  qboosh
- md5 for tutorial

Revision 1.3  2005/03/30 20:05:41  qboosh
- merged tutorial from Soya.spec (untested); Obsoletes for Soya*

Revision 1.2  2005/03/30 03:08:50  troll
- install soya_editor man page

Revision 1.1  2005/03/30 01:12:35  troll
- initial checkin

